Page MenuHomePhabricator

Devise stashing strategy for multi-DC mediawiki
Closed, ResolvedPublic

Description

Lots of things stash temporary values in places, e.g:

  • Upload chunk states
  • "Who is viewing this diff" in FlaggedRevs
  • OAuth tokens
  • AbuseFilter autopromote blocks
  • Captcha state info
  • more...

Event Timeline

aaron created this task.Feb 3 2015, 11:17 PM
aaron updated the task description. (Show Details)
aaron raised the priority of this task from to Normal.
aaron claimed this task.
aaron added subscribers: PleaseStand, gerritbot, bd808 and 2 others.
bd808 set Security to None.Feb 13 2015, 3:57 PM
bd808 removed a project: Epic.Feb 19 2015, 5:53 AM
aaron added a comment.Mar 7 2015, 1:25 AM

ApiStashEdit can be shared nothing (since it's all used on POSTs).

aaron added a comment.Mar 8 2015, 3:21 PM

The others can use ReplicatedBagOStuff for now.

aaron closed this task as Declined.Mar 11 2015, 2:48 AM

Holding off on this for now.

bd808 moved this task from Backlog to Done on the MediaWiki-Core-Team board.Mar 16 2015, 8:58 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 16 2015, 9:10 PM
aaron reopened this task as Open.May 15 2015, 3:00 AM
aaron edited projects, added Availability; removed Patch-For-Review.
aaron moved this task from Backlog to Doing on the Availability board.

Change 207718 had a related patch set uploaded (by Aaron Schulz):
Added ObjectStash factory class and $wgMainStash/$wgObjectStashes

https://gerrit.wikimedia.org/r/207718

Change 207718 merged by jenkins-bot:
Added ObjectCache::getMainStashInstance() and $wgMainStash

https://gerrit.wikimedia.org/r/207718

Change 212584 had a related patch set uploaded (by Aaron Schulz):
Made ReplicatedBagOStuff wrapping the SQL class the default stash

https://gerrit.wikimedia.org/r/212584

Change 214107 had a related patch set uploaded (by Aaron Schulz):
Added BagOStuff READ_LATEST flag for replicated stores

https://gerrit.wikimedia.org/r/214107

Change 212584 merged by jenkins-bot:
Made ReplicatedBagOStuff wrapping the SQL class the default stash

https://gerrit.wikimedia.org/r/212584

aaron updated the task description. (Show Details)Jun 30 2015, 5:43 PM

Change 221885 had a related patch set uploaded (by Aaron Schulz):
Set $wgMainStash to redis instead of the DB default

https://gerrit.wikimedia.org/r/221885

New $wg variables need documentation in MediaWiki.org and Release Notes

Change 221889 had a related patch set uploaded (by Aaron Schulz):
Switched upload chunk status store to the main object stash

https://gerrit.wikimedia.org/r/221889

aaron updated the task description. (Show Details)Jun 30 2015, 6:05 PM

Change 221994 had a related patch set uploaded (by Aaron Schulz):
Conversion to using getMainStashInstance()

https://gerrit.wikimedia.org/r/221994

Change 221885 merged by jenkins-bot:
Set $wgMainStash to redis instead of the DB default

https://gerrit.wikimedia.org/r/221885

Change 221889 merged by jenkins-bot:
Switched upload chunk status store to the main object stash

https://gerrit.wikimedia.org/r/221889

aaron closed this task as Resolved.Jul 21 2015, 8:50 PM

Related task left are on T97620

Release Notes are still pending AFAIK. No patchset should be merged if it adds new config variables without mention in release notes

Documentation

Change 214107 merged by Aaron Schulz:
Added BagOStuff READ_LATEST flag for replicated stores

https://gerrit.wikimedia.org/r/214107